# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "pixel-widgets"
version = "0.5.5"
authors = ["Bram Buurlage <brambuurlage@gmail.com>"]
description = "Elm inspired UI library styled using images"
documentation = "https://docs.rs/pixel-widgets"
readme = "README.md"
keywords = ["gui", "ui", "wgpu", "interface", "widgets"]
categories = ["gui"]
license = "MIT"
repository = "https://github.com/Kurble/pixel-widgets"
[package.metadata.docs.rs]
features = ["wgpu", "winit"]
no-default-features = true
[dependencies.anyhow]
version = "1"

[dependencies.clipboard]
version = "0.5"
optional = true

[dependencies.futures]
version = "0.3"

[dependencies.image]
version = "0.23"

[dependencies.notify]
version = "5.0.0-pre.3"

[dependencies.rusttype]
version = "0.9"
features = ["gpu_cache"]

[dependencies.smallvec]
version = "1"

[dependencies.wgpu]
version = "0.6"
optional = true

[dependencies.winit]
version = "0.22"
optional = true

[dependencies.zerocopy]
version = "0.3"
[dev-dependencies.reqwest]
version = "0.10.7"

[dev-dependencies.ron]
version = "0.6.0"

[dev-dependencies.serde]
version = "1"
features = ["derive"]

[dev-dependencies.tokio]
version = "0.2.22"
features = ["full"]

[features]
default = ["clipboard", "winit", "wgpu"]
